org.red5.server.net.remoting

## Class RemotingHeader

- java.lang.Object
- - org.red5.server.net.remoting.RemotingHeader

All Implemented Interfaces:
  IRemotingHeader

    public class RemotingHeader
    extends Object
    implements IRemotingHeader

Remoting header to be sent to a server. Informations about predefined headers can be found at http://www.osflash.org/amf/envelopes/remoting/headers

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Field Summary

Fields
`protected Object` `data` The actual data of the header.
`protected String` `name` The name of the header.
`protected boolean` `required` Is this header required?

### Fields inherited from interface org.red5.server.api.remoting.IRemotingHeader

`APPEND_TO_GATEWAY_URL, CREDENTIALS, DEBUG_SERVER, PERSISTENT_HEADER, REPLACE_GATEWAY_URL`

### Constructor Summary

Constructors
Constructor and Description
`RemotingHeader(String name, boolean required, Object data)` Create a new header to be sent through remoting.

### Method Summary

Methods
`boolean` `getMustUnderstand()` Return boolean flag if receiver must process header before handling other headers or messages.
`String` `getName()` Return name of header.
`Object` `getValue()` Return value of header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected String name

The name of the header.

#### required

    protected boolean required

Is this header required?

#### data

    protected Object data

The actual data of the header.

### Constructor Detail

#### RemotingHeader

    public RemotingHeader(String name,
                  boolean required,
                  Object data)

Create a new header to be sent through remoting.

Parameters:
  `name` - Header name
  `required` - Header required?
  `data` - Header data

### Method Detail

#### getMustUnderstand

    public boolean getMustUnderstand()

Return boolean flag if receiver must process header before handling other headers or messages.

Specified by:
  `getMustUnderstand` in interface `IRemotingHeader`
Returns:
  must understand

#### getName

    public String getName()

Return name of header.

Specified by:
  `getName` in interface `IRemotingHeader`
Returns:
  name of header

#### getValue

    public Object getValue()

Return value of header.

Specified by:
  `getValue` in interface `IRemotingHeader`
Returns:
  value of header